Subject: Re: Fw: [Bug 204903] New: unable to create vrf interface when ipv6.disable=1

From: David Ahern <[email-masked]>
Date: Tue, 24 Sep 2019 20:28:52 -0600

On 9/19/19 2:46 AM, Stephen Hemminger wrote:
> 
> 
> Begin forwarded message:
> 
> Date: Wed, 18 Sep 2019 15:15:42 +0000
> From: [email-masked]
> To: [email-masked]
> Subject: [Bug 204903] New: unable to create vrf interface when ipv6.disable=1
> 
> 
> https://bugzilla.kernel.org/show_bug.cgi?id=204903
> 
>             Bug ID: 204903
>            Summary: unable to create vrf interface when ipv6.disable=1
>            Product: Networking
>            Version: 2.5
>     Kernel Version: 5.2.14
>           Hardware: All
>                 OS: Linux
>               Tree: Mainline
>             Status: NEW
>           Severity: normal
>           Priority: P1
>          Component: Other
>           Assignee: [email-masked]
>           Reporter: [email-masked]
>         Regression: No
> 
> `ip link add vrf0 type vrf table 100` fails with EAFNOSUPPORT when boot with
> `ipv6.disable=1`. There must be somewhere inside `vrf_newlink` trying to use
> IPv6 without checking availablity. Maybe `vrf_add_fib_rules` I guess.
> 

ack. I'll take a look when I get a chance. Should be a simple fix.